=== applet/CMakeLists.txt ===
plasma_install_package(. org.kde.plasma.networkmanagement)
