=== vpn/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/libs/editor/widgets)

add_subdirectory(fortisslvpn)
add_subdirectory(iodine)
add_subdirectory(l2tp)
add_subdirectory(openconnect)
add_subdirectory(openvpn)
add_subdirectory(openswan)
add_subdirectory(pptp)
add_subdirectory(ssh)
add_subdirectory(sstp)
add_subdirectory(strongswan)
add_subdirectory(vpnc)
