## plasma-nm 5.13.5

=== debian/changelog ===
plasma-nm (4:5.13.5-1ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.5)
  * Merge from Debian unstable. Remaining changes:
    - Kubuntu packaging Vcs fields.
    - debian/control: Bumped frameworks & Qt build deps

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 07 Sep 2018 16:35:36 +0100

plasma-nm (4:5.13.5-1) unstable; urgency=medium

  * New upstream release (5.13.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 06 Sep 2018 20:40:42 +0200

plasma-nm (4:5.13.4-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu packaging Vcs fields.
    - debian/control: Bumped frameworks & Qt build deps

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 27 Aug 2018 17:06:38 +0100

plasma-nm (4:5.13.4-1) unstable; urgency=medium

  * New upstream release (5.13.4).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Aug 2018 23:18:17 +0200

plasma-nm (4:5.13.4-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.4)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 03 Aug 2018 16:42:47 +0100

plasma-nm (4:5.13.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.0)
  * New upstream release (5.13.1)
  * New upstream release (5.13.2)
  * New upstream release (5.13.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 28 Jul 2018 17:26:40 +0100

plasma-nm (4:5.13.1-1) unstable; urgency=medium

  * New upstream release (5.13.1).
  * Drop upstream patch
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Jun 2018 13:43:19 +0200

plasma-nm (4:5.12.6-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.6)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 28 Jun 2018 15:31:52 +0100

plasma-nm (4:5.12.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 May 2018 19:24:51 +0100

plasma-nm (4:5.12.3-2) unstable; urgency=medium

  * New revision
  * Upstream patch: Require NM 1.0.0 and newer
    Thanks to Michael Biebl for the report (Closes: 895438)
  * Bump build dep to libnm > 1.0.0~
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 11 Apr 2018 20:12:15 +0200
