=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 9),
+               debhelper (>= 11~),
                extra-cmake-modules (>= 5.42.0~),
                gettext,
                kinit-dev (>= 5.42.0~),
@@ -15,6 +15,7 @@
                libkf5declarative-dev (>= 5.42.0~),
                libkf5i18n-dev (>= 5.42.0~),
                libkf5iconthemes-dev (>= 5.42.0~),
+               libkf5itemmodels-dev (>= 5.42.0~),
                libkf5itemviews-dev (>= 5.42.0~),
                libkf5kdelibs4support-dev (>= 5.42.0~),
                libkf5kio-dev (>= 5.42.0~),
@@ -27,20 +28,18 @@
                libkf5widgetsaddons-dev (>= 5.42.0~),
                libkf5windowsystem-dev (>= 5.42.0~),
                libkf5xmlgui-dev (>= 5.42.0~),
-               liblz4-dev,
-               libnm-dev | hello,
+               libnm-dev (>= 1.0.0~),
                libopenconnect-dev (>= 3.99~),
                libqca-qt5-2-dev (>= 2.1.0~),
                mobile-broadband-provider-info,
                modemmanager-dev (>= 1.0.0~),
                modemmanager-qt-dev (>= 5.42.0~),
-               network-manager-dev (>= 0.9.8.4),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~),
-               qttools5-dev,
-Standards-Version: 3.9.8
+               qttools5-dev (>= 5.4.0~),
+Standards-Version: 4.1.3
 Homepage: https://projects.kde.org/projects/kde/workspace/plasma-nm
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nm
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nm
@@ -52,12 +51,11 @@
          plasma-framework,
          qml-module-org-kde-kcoreaddons,
          ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: libkf5wallet-bin
+         ${shlibs:Depends},
 Suggests: network-manager-openconnect,
           network-manager-openvpn,
           network-manager-pptp,
-          network-manager-vpnc
+          network-manager-vpnc,
 Replaces: plasma-nm-data
 Description: Plasma5 networkmanager library.
  Plasma desktop network manager.
