=== libs/CMakeLists.txt ===
--- 
+++ 
@@ -18,20 +18,20 @@
 add_library(plasmanm_internal SHARED ${plasmanm_internal_SRCS})
 
 target_link_libraries(plasmanm_internal
+PUBLIC
+    KF5::NetworkManagerQt
     plasmanm_editor
-    KF5::NetworkManagerQt
-    KF5::Solid
-    KF5::Completion
+PRIVATE
+    KF5::Service
     KF5::I18n
     KF5::IconThemes
-    KF5::Plasma
     KF5::Notifications
-    Qt5::Xml
-    Qt5::Network
+    KF5::Wallet
+    KF5::WindowSystem
 )
 
 if (WITH_MODEMMANAGER_SUPPORT)
-    target_link_libraries(plasmanm_internal KF5::ModemManagerQt)
+    target_link_libraries(plasmanm_internal PUBLIC KF5::ModemManagerQt)
 endif()
 
 install(TARGETS plasmanm_internal ${INSTALL_TARGETS_DEFAULT_ARGS})
